
Katello - Bug #4667

(nightlies 3-14-14) once a system is assigned to a hostgroup, even with goferd/katello-agent, "run

puppet" button is not available

03/14/2014 02:40 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

foreman-1.5.0-0.develop.201403140734git8592cd2.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403140734git8592cd2.el6.noarch

foreman-proxy-1.5.0-0.develop.201402201704gita25e7b9.el6.noarch

foreman-release-1.5.0-0.develop.201403140734git8592cd2.el6.noarch

katello-1.5.0-14.201403140732git6efd20e.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403140732git6efd20e.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.el6.noarch

rubygem-katello_api-0.0.8-1.el6.noarch

1) register system

2) install katello-agent

3) start goferd

4) create hostgroup with puppet module

5) "puppet agent --test" on host/client

6) approve signature

7) assign host to hostgroup

8) visit host details page

Run puppet button is not available

[root@client-10 ~]# puppet agent --test

info: Retrieving plugin

err: /File[/var/lib/puppet/lib]: Could not evaluate: Could not retrieve information from environme

nt production source(s) puppet://satellite.ejacobs.local/plugins

info: Caching catalog for client-10.ejacobs.local

info: Applying configuration version '1394807867'

notice: /File[/etc/motd]/content: 

--- /etc/motd    2010-01-12 08:28:22.000000000 -0500

+++ /tmp/puppet-file20140314-2020-dohgym-0    2014-03-14 10:37:47.497000019 -0400

@@ -0,0 +1 @@

+This is the default message

\ No newline at end of file

info: FileBucket adding {md5}d41d8cd98f00b204e9800998ecf8427e

info: /File[/etc/motd]: Filebucketed /etc/motd to puppet with sum d41d8cd98f00b204e9800998ecf8427e

notice: /File[/etc/motd]/content: content changed '{md5}d41d8cd98f00b204e9800998ecf8427e' to '{md5
}a65dfffc1107cdb33cec98e1fc5dd9cb'

notice: Finished catalog run in 0.16 seconds

[root@client-10 ~]# service goferd status

goferd (1551) is running.

 You can see that a puppet run would've applied the MOTD module but there is no ability to start the run from the Foreman.

History

#1 - 03/21/2014 08:15 PM - Mike McCune

- Triaged set to Yes

#2 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#3 - 06/04/2014 01:08 AM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

This is a configuration option that must be set individually on the Capsule that a host is connected to as well as in the puppet config for the host itself.

Further, puppetrun is a deprecated feature for Puppet 3+. This may become a default when mcollective support is added, but for now due to this

being a configuration choice I am closing this issue. If you feel we should be configuring all Capsules to support this feature by default, please

re-open.

#4 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

thoraxe-motd-0.1.0.tar.gz 1.91 KB 03/14/2014 Erik Jacobs

Screenshot from 2014-03-14 10_39_46.png 289 KB 03/14/2014 Erik Jacobs
